
class MeshExplorer : DockPanel {
    string currentPath = "";

    void onRender() {
        coloredText(0.5, 0.5, 0.5, currentPath);

        setupAutomaticColumns(180);

        int dirCount = getMeshDirCount(currentPath);
        for (int i = 0; i < dirCount; i++) {
            text(getMeshDirName(currentPath, i));

            nextColumn();
        }

        int meshCount = getMeshCount(currentPath);
        for (int i = 0; i < meshCount; i++) {
            text(getMeshName(currentPath, i));

            nextColumn();
        }
        endColumns();
    }
}